import database.dbmodels as db


def get_specific_bookmaker_odds(match, bookmaker, dataframe=False):
    try:
        if not dataframe:
            b_odds = list(db.Match.select().where((db.Match.home == match['home'])
                                              & (db.Match.away == match['away'])
                                              & (db.Match.date == match['date'])))[0].odds
        else:
            b_odds = list(db.Match.select().where((db.Match.home == match['HomeTeam'])
                                                  & (db.Match.away == match['AwayTeam'])
                                                  & (db.Match.date == match['date'])))[0].odds

    except Exception:
        print(str(match['id']) + " not found (ID.odds):")
        return 0
    if not b_odds:
        print("NO B_ODDS")
        return 0
    wh_odds = next(filter(lambda bookmakerodds: bookmakerodds.bookmaker_id == bookmaker, b_odds))
    if not wh_odds:
        print("NO " + bookmaker + " ODDS")
        return 0
    return wh_odds.home, wh_odds.draw, wh_odds.away

